# Aesthetic with CSS Modules

[![Build Status](https://github.com/milesj/aesthetic/workflows/Build/badge.svg)](https://github.com/milesj/aesthetic/actions?query=branch%3Amaster)
[![npm version](https://badge.fury.io/js/aesthetic-adapter-css-modules.svg)](https://www.npmjs.com/package/aesthetic-adapter-css-modules)
[![npm deps](https://david-dm.org/milesj/aesthetic.svg?path=packages/adapter-css-modules)](https://www.npmjs.com/package/aesthetic-adapter-css-modules)

Provides [CSS Modules](https://github.com/css-modules/css-modules) support for
[Aesthetic](https://github.com/milesj/aesthetic), a React styling library.

```ts
import aesthetic from 'aesthetic';
import CSSModulesAdapter from 'aesthetic-adapter-css-modules';

aesthetic.configure({
  adapter: new CSSModulesAdapter(),
});
```

## Requirements

- Aesthetic
- CSS Modules

## Installation

```
yarn add aesthetic aesthetic-adapter-css-modules
// Or
npm install aesthetic aesthetic-adapter-css-modules
```

## Documentation

[https://milesj.gitbook.io/aesthetic/adapters/css-modules](https://milesj.gitbook.io/aesthetic/adapters/css-modules)
